gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Flags

Contents

- Flags
  - BindingFlags
  - ConnectFlags
  - IOCondition
  - ParamFlags
  - SignalFlags
  - SignalMatchType
  - TypeDebugFlags
  - TypeFlags
  - TypeFundamentalFlags

Description

Synopsis

- data BindingFlags
  - = BindingFlagsDefault
  - | BindingFlagsBidirectional
  - | BindingFlagsSyncCreate
  - | BindingFlagsInvertBoolean
  - | AnotherBindingFlags Int
- data ConnectFlags
  - = ConnectFlagsDefault
  - | ConnectFlagsAfter
  - | ConnectFlagsSwapped
  - | AnotherConnectFlags Int
- data IOCondition
  - = IOConditionIn
  - | IOConditionOut
  - | IOConditionPri
  - | IOConditionErr
  - | IOConditionHup
  - | IOConditionNval
  - | AnotherIOCondition Int
- data ParamFlags
  - = ParamFlagsReadable
  - | ParamFlagsWritable
  - | ParamFlagsReadwrite
  - | ParamFlagsConstruct
  - | ParamFlagsConstructOnly
  - | ParamFlagsLaxValidation
  - | ParamFlagsStaticName
  - | ParamFlagsPrivate
  - | ParamFlagsStaticNick
  - | ParamFlagsStaticBlurb
  - | ParamFlagsExplicitNotify
  - | ParamFlagsDeprecated
  - | AnotherParamFlags Int
- data SignalFlags
  - = SignalFlagsRunFirst
  - | SignalFlagsRunLast
  - | SignalFlagsRunCleanup
  - | SignalFlagsNoRecurse
  - | SignalFlagsDetailed
  - | SignalFlagsAction
  - | SignalFlagsNoHooks
  - | SignalFlagsMustCollect
  - | SignalFlagsDeprecated
  - | SignalFlagsAccumulatorFirstRun
  - | AnotherSignalFlags Int
- data SignalMatchType
  - = SignalMatchTypeId
  - | SignalMatchTypeDetail
  - | SignalMatchTypeClosure
  - | SignalMatchTypeFunc
  - | SignalMatchTypeData
  - | SignalMatchTypeUnblocked
  - | AnotherSignalMatchType Int
- data TypeDebugFlags
  - = TypeDebugFlagsNone
  - | TypeDebugFlagsObjects
  - | TypeDebugFlagsSignals
  - | TypeDebugFlagsInstanceCount
  - | TypeDebugFlagsMask
  - | AnotherTypeDebugFlags Int
- data TypeFlags
  - = TypeFlagsNone
  - | TypeFlagsAbstract
  - | TypeFlagsValueAbstract
  - | TypeFlagsFinal
  - | TypeFlagsDeprecated
  - | AnotherTypeFlags Int
- data TypeFundamentalFlags
  - = TypeFundamentalFlagsClassed
  - | TypeFundamentalFlagsInstantiatable
  - | TypeFundamentalFlagsDerivable
  - | TypeFundamentalFlagsDeepDerivable
  - | AnotherTypeFundamentalFlags Int

# Flags

## BindingFlags

data BindingFlags Source #

Flags to be passed to `objectBindProperty` or `g_object_bind_property_full()`.

This enumeration can be extended at later date.

Since: 2.26

Constructors

BindingFlagsDefault | The default binding; if the source property changes, the target property is updated with its value.
BindingFlagsBidirectional | Bidirectional binding; if either the property of the source or the property of the target changes, the other is updated.
BindingFlagsSyncCreate | Synchronize the values of the source and target properties when creating the binding; the direction of the synchronization is always from the source to the target.
BindingFlagsInvertBoolean | If the two properties being bound are booleans, setting one to `True` will result in the other being set to `False` and vice versa. This flag will only work for boolean properties, and cannot be used when passing custom transformation functions to `g_object_bind_property_full()`.
AnotherBindingFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum BindingFlags Source # |

Instance details

Defined in GI.GObject.Flags

Methods

succ :: BindingFlags -> BindingFlags Source #

pred :: BindingFlags -> BindingFlags Source #

toEnum :: Int -> BindingFlags Source #

fromEnum :: BindingFlags -> Int Source #

enumFrom :: BindingFlags -> [BindingFlags] Source #

enumFromThen :: BindingFlags -> BindingFlags -> [BindingFlags] Source #

enumFromTo :: BindingFlags -> BindingFlags -> [BindingFlags] Source #

enumFromThenTo :: BindingFlags -> BindingFlags -> BindingFlags -> [BindingFlags] Source #

Show BindingFlags Source # |
Instance details Defined in GI.GObject.Flags Methods showsPrec :: Int -> BindingFlags -> ShowS Source # show :: BindingFlags -> String Source # showList :: [BindingFlags] -> ShowS Source #
Eq BindingFlags Source # |
Instance details Defined in GI.GObject.Flags Methods (==) :: BindingFlags -> BindingFlags -> Bool Source # (/=) :: BindingFlags -> BindingFlags -> Bool Source #
Ord BindingFlags Source # |

Instance details

Defined in GI.GObject.Flags

Methods

compare :: BindingFlags -> BindingFlags -> Ordering Source #

(<) :: BindingFlags -> BindingFlags -> Bool Source #

(<=) :: BindingFlags -> BindingFlags -> Bool Source #

(>) :: BindingFlags -> BindingFlags -> Bool Source #

(>=) :: BindingFlags -> BindingFlags -> Bool Source #

max :: BindingFlags -> BindingFlags -> BindingFlags Source #

min :: BindingFlags -> BindingFlags -> BindingFlags Source #

BoxedFlags BindingFlags Source # |
Instance details Defined in GI.GObject.Flags
IsGFlag BindingFlags Source # |
Instance details Defined in GI.GObject.Flags
TypedObject BindingFlags Source # |
Instance details Defined in GI.GObject.Flags Methods glibType :: IO GType Source #
HasParentTypes BindingFlags Source # |
Instance details Defined in GI.GObject.Flags
type ParentTypes BindingFlags Source # |
Instance details Defined in GI.GObject.Flags type ParentTypes BindingFlags = '[] :: [Type]

## ConnectFlags

data ConnectFlags Source #

The connection flags are used to specify the behaviour of a signal's connection.

Constructors

ConnectFlagsDefault | Default behaviour (no special flags). Since: 2.74
ConnectFlagsAfter | If set, the handler should be called after the default handler of the signal. Normally, the handler is called before the default handler.
ConnectFlagsSwapped | If set, the instance and data should be swapped when calling the handler; see `g_signal_connect_swapped()` for an example.
AnotherConnectFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum ConnectFlags Source # |

Instance details

Defined in GI.GObject.Flags

Methods

succ :: ConnectFlags -> ConnectFlags Source #

pred :: ConnectFlags -> ConnectFlags Source #

toEnum :: Int -> ConnectFlags Source #

fromEnum :: ConnectFlags -> Int Source #

enumFrom :: ConnectFlags -> [ConnectFlags] Source #

enumFromThen :: ConnectFlags -> ConnectFlags -> [ConnectFlags] Source #

enumFromTo :: ConnectFlags -> ConnectFlags -> [ConnectFlags] Source #

enumFromThenTo :: ConnectFlags -> ConnectFlags -> ConnectFlags -> [ConnectFlags] Source #

Show ConnectFlags Source # |
Instance details Defined in GI.GObject.Flags Methods showsPrec :: Int -> ConnectFlags -> ShowS Source # show :: ConnectFlags -> String Source # showList :: [ConnectFlags] -> ShowS Source #
Eq ConnectFlags Source # |
Instance details Defined in GI.GObject.Flags Methods (==) :: ConnectFlags -> ConnectFlags -> Bool Source # (/=) :: ConnectFlags -> ConnectFlags -> Bool Source #
Ord ConnectFlags Source # |

Instance details

Defined in GI.GObject.Flags

Methods

compare :: ConnectFlags -> ConnectFlags -> Ordering Source #

(<) :: ConnectFlags -> ConnectFlags -> Bool Source #

(<=) :: ConnectFlags -> ConnectFlags -> Bool Source #

(>) :: ConnectFlags -> ConnectFlags -> Bool Source #

(>=) :: ConnectFlags -> ConnectFlags -> Bool Source #

max :: ConnectFlags -> ConnectFlags -> ConnectFlags Source #

min :: ConnectFlags -> ConnectFlags -> ConnectFlags Source #

IsGFlag ConnectFlags Source # |
Instance details Defined in GI.GObject.Flags

## IOCondition

data IOCondition Source #

No description available in the introspection data.

Constructors

IOConditionIn | No description available in the introspection data.
IOConditionOut | No description available in the introspection data.
IOConditionPri | No description available in the introspection data.
IOConditionErr | No description available in the introspection data.
IOConditionHup | No description available in the introspection data.
IOConditionNval | No description available in the introspection data.
AnotherIOCondition Int | Catch-all for unknown values

#### Instances

Instances details

Enum IOCondition Source # |

Instance details

Defined in GI.GObject.Flags

Methods

succ :: IOCondition -> IOCondition Source #

pred :: IOCondition -> IOCondition Source #

toEnum :: Int -> IOCondition Source #

fromEnum :: IOCondition -> Int Source #

enumFrom :: IOCondition -> [IOCondition] Source #

enumFromThen :: IOCondition -> IOCondition -> [IOCondition] Source #

enumFromTo :: IOCondition -> IOCondition -> [IOCondition] Source #

enumFromThenTo :: IOCondition -> IOCondition -> IOCondition -> [IOCondition] Source #

Show IOCondition Source # |
Instance details Defined in GI.GObject.Flags Methods showsPrec :: Int -> IOCondition -> ShowS Source # show :: IOCondition -> String Source # showList :: [IOCondition] -> ShowS Source #
Eq IOCondition Source # |
Instance details Defined in GI.GObject.Flags Methods (==) :: IOCondition -> IOCondition -> Bool Source # (/=) :: IOCondition -> IOCondition -> Bool Source #
Ord IOCondition Source # |

Instance details

Defined in GI.GObject.Flags

Methods

compare :: IOCondition -> IOCondition -> Ordering Source #

(<) :: IOCondition -> IOCondition -> Bool Source #

(<=) :: IOCondition -> IOCondition -> Bool Source #

(>) :: IOCondition -> IOCondition -> Bool Source #

(>=) :: IOCondition -> IOCondition -> Bool Source #

max :: IOCondition -> IOCondition -> IOCondition Source #

min :: IOCondition -> IOCondition -> IOCondition Source #

BoxedFlags IOCondition Source # |
Instance details Defined in GI.GObject.Flags
IsGFlag IOCondition Source # |
Instance details Defined in GI.GObject.Flags
TypedObject IOCondition Source # |
Instance details Defined in GI.GObject.Flags Methods glibType :: IO GType Source #
HasParentTypes IOCondition Source # |
Instance details Defined in GI.GObject.Flags
type ParentTypes IOCondition Source # |
Instance details Defined in GI.GObject.Flags type ParentTypes IOCondition = '[] :: [Type]

## ParamFlags

data ParamFlags Source #

Through the `ParamFlags` flag values, certain aspects of parameters can be configured.

See also: `PARAM_STATIC_STRINGS`

Constructors

ParamFlagsReadable | the parameter is readable
ParamFlagsWritable | the parameter is writable
ParamFlagsReadwrite | alias for `ParamFlagsReadable` | `ParamFlagsWritable`
ParamFlagsConstruct | the parameter will be set upon object construction. See [vfunc`object`.constructed] for more details
ParamFlagsConstructOnly | the parameter can only be set upon object construction. See [vfunc`object`.constructed] for more details
ParamFlagsLaxValidation | upon parameter conversion (see `paramValueConvert`) strict validation is not required
ParamFlagsStaticName | the string used as name when constructing the parameter is guaranteed to remain valid and unmodified for the lifetime of the parameter. Since 2.8
ParamFlagsPrivate | internal
ParamFlagsStaticNick | the string used as nick when constructing the parameter is guaranteed to remain valid and unmmodified for the lifetime of the parameter. Since 2.8
ParamFlagsStaticBlurb | the string used as blurb when constructing the parameter is guaranteed to remain valid and unmodified for the lifetime of the parameter. Since 2.8
ParamFlagsExplicitNotify | calls to `objectSetProperty` for this property will not automatically result in a "notify" signal being emitted: the implementation must call `objectNotify` themselves in case the property actually changes. Since: 2.42.
ParamFlagsDeprecated | the parameter is deprecated and will be removed in a future version. A warning will be generated if it is used while running with G_ENABLE_DIAGNOSTIC=1. Since 2.26
AnotherParamFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum ParamFlags Source # |

Instance details

Defined in GI.GObject.Flags

Methods

succ :: ParamFlags -> ParamFlags Source #

pred :: ParamFlags -> ParamFlags Source #

toEnum :: Int -> ParamFlags Source #

fromEnum :: ParamFlags -> Int Source #

enumFrom :: ParamFlags -> [ParamFlags] Source #

enumFromThen :: ParamFlags -> ParamFlags -> [ParamFlags] Source #

enumFromTo :: ParamFlags -> ParamFlags -> [ParamFlags] Source #

enumFromThenTo :: ParamFlags -> ParamFlags -> ParamFlags -> [ParamFlags] Source #

Show ParamFlags Source # |
Instance details Defined in GI.GObject.Flags Methods showsPrec :: Int -> ParamFlags -> ShowS Source # show :: ParamFlags -> String Source # showList :: [ParamFlags] -> ShowS Source #
Eq ParamFlags Source # |
Instance details Defined in GI.GObject.Flags Methods (==) :: ParamFlags -> ParamFlags -> Bool Source # (/=) :: ParamFlags -> ParamFlags -> Bool Source #
Ord ParamFlags Source # |

Instance details

Defined in GI.GObject.Flags

Methods

compare :: ParamFlags -> ParamFlags -> Ordering Source #

(<) :: ParamFlags -> ParamFlags -> Bool Source #

(<=) :: ParamFlags -> ParamFlags -> Bool Source #

(>) :: ParamFlags -> ParamFlags -> Bool Source #

(>=) :: ParamFlags -> ParamFlags -> Bool Source #

max :: ParamFlags -> ParamFlags -> ParamFlags Source #

min :: ParamFlags -> ParamFlags -> ParamFlags Source #

IsGFlag ParamFlags Source # |
Instance details Defined in GI.GObject.Flags

## SignalFlags

data SignalFlags Source #

The signal flags are used to specify a signal's behaviour.

Constructors

SignalFlagsRunFirst | Invoke the object method handler in the first emission stage.
SignalFlagsRunLast | Invoke the object method handler in the third emission stage.
SignalFlagsRunCleanup | Invoke the object method handler in the last emission stage.
SignalFlagsNoRecurse | Signals being emitted for an object while currently being in emission for this very object will not be emitted recursively, but instead cause the first emission to be restarted.
SignalFlagsDetailed | This signal supports "detail" appendices to the signal name upon handler connections and emissions.
SignalFlagsAction | Action signals are signals that may freely be emitted on alive objects from user code via `g_signal_emit()` and friends, without the need of being embedded into extra code that performs pre or post emission adjustments on the object. They can also be thought of as object methods which can be called generically by third-party code.
SignalFlagsNoHooks | No emissions hooks are supported for this signal.
SignalFlagsMustCollect | Varargs signal emission will always collect the arguments, even if there are no signal handlers connected. Since: 2.30
SignalFlagsDeprecated | The signal is deprecated and will be removed in a future version. A warning will be generated if it is connected while running with `G_ENABLE_DIAGNOSTIC=1`. Since: 2.32
SignalFlagsAccumulatorFirstRun | The signal accumulator was invoked for the first time. This flag is only used in [callback`gObject`.SignalAccumulator][accumulator functions] for the `run_type` field of the `SignalInvocationHint`, to mark the first call to the accumulator function for a signal emission. Since: 2.68
AnotherSignalFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum SignalFlags Source # |

Instance details

Defined in GI.GObject.Flags

Methods

succ :: SignalFlags -> SignalFlags Source #

pred :: SignalFlags -> SignalFlags Source #

toEnum :: Int -> SignalFlags Source #

fromEnum :: SignalFlags -> Int Source #

enumFrom :: SignalFlags -> [SignalFlags] Source #

enumFromThen :: SignalFlags -> SignalFlags -> [SignalFlags] Source #

enumFromTo :: SignalFlags -> SignalFlags -> [SignalFlags] Source #

enumFromThenTo :: SignalFlags -> SignalFlags -> SignalFlags -> [SignalFlags] Source #

Show SignalFlags Source # |
Instance details Defined in GI.GObject.Flags Methods showsPrec :: Int -> SignalFlags -> ShowS Source # show :: SignalFlags -> String Source # showList :: [SignalFlags] -> ShowS Source #
Eq SignalFlags Source # |
Instance details Defined in GI.GObject.Flags Methods (==) :: SignalFlags -> SignalFlags -> Bool Source # (/=) :: SignalFlags -> SignalFlags -> Bool Source #
Ord SignalFlags Source # |

Instance details

Defined in GI.GObject.Flags

Methods

compare :: SignalFlags -> SignalFlags -> Ordering Source #

(<) :: SignalFlags -> SignalFlags -> Bool Source #

(<=) :: SignalFlags -> SignalFlags -> Bool Source #

(>) :: SignalFlags -> SignalFlags -> Bool Source #

(>=) :: SignalFlags -> SignalFlags -> Bool Source #

max :: SignalFlags -> SignalFlags -> SignalFlags Source #

min :: SignalFlags -> SignalFlags -> SignalFlags Source #

IsGFlag SignalFlags Source # |
Instance details Defined in GI.GObject.Flags

## SignalMatchType

data SignalMatchType Source #

The match types specify what `signalHandlersBlockMatched`, `signalHandlersUnblockMatched` and `signalHandlersDisconnectMatched` match signals by.

Constructors

SignalMatchTypeId | The signal id must be equal.
SignalMatchTypeDetail | The signal detail must be equal.
SignalMatchTypeClosure | The closure must be the same.
SignalMatchTypeFunc | The C closure callback must be the same.
SignalMatchTypeData | The closure data must be the same.
SignalMatchTypeUnblocked | Only unblocked signals may be matched.
AnotherSignalMatchType Int | Catch-all for unknown values

#### Instances

Instances details

Enum SignalMatchType Source # |

Instance details

Defined in GI.GObject.Flags

Methods

succ :: SignalMatchType -> SignalMatchType Source #

pred :: SignalMatchType -> SignalMatchType Source #

toEnum :: Int -> SignalMatchType Source #

fromEnum :: SignalMatchType -> Int Source #

enumFrom :: SignalMatchType -> [SignalMatchType] Source #

enumFromThen :: SignalMatchType -> SignalMatchType -> [SignalMatchType] Source #

enumFromTo :: SignalMatchType -> SignalMatchType -> [SignalMatchType] Source #

enumFromThenTo :: SignalMatchType -> SignalMatchType -> SignalMatchType -> [SignalMatchType] Source #

Show SignalMatchType Source # |
Instance details Defined in GI.GObject.Flags Methods showsPrec :: Int -> SignalMatchType -> ShowS Source # show :: SignalMatchType -> String Source # showList :: [SignalMatchType] -> ShowS Source #
Eq SignalMatchType Source # |
Instance details Defined in GI.GObject.Flags Methods (==) :: SignalMatchType -> SignalMatchType -> Bool Source # (/=) :: SignalMatchType -> SignalMatchType -> Bool Source #
Ord SignalMatchType Source # |

Instance details

Defined in GI.GObject.Flags

Methods

compare :: SignalMatchType -> SignalMatchType -> Ordering Source #

(<) :: SignalMatchType -> SignalMatchType -> Bool Source #

(<=) :: SignalMatchType -> SignalMatchType -> Bool Source #

(>) :: SignalMatchType -> SignalMatchType -> Bool Source #

(>=) :: SignalMatchType -> SignalMatchType -> Bool Source #

max :: SignalMatchType -> SignalMatchType -> SignalMatchType Source #

min :: SignalMatchType -> SignalMatchType -> SignalMatchType Source #

IsGFlag SignalMatchType Source # |
Instance details Defined in GI.GObject.Flags

## TypeDebugFlags

data TypeDebugFlags Source #

Deprecated: (Since version 2.36)`typeInit` is now done automatically

These flags used to be passed to `typeInitWithDebugFlags` which is now deprecated.

If you need to enable debugging features, use the `GOBJECT_DEBUG` environment variable.

Constructors

TypeDebugFlagsNone | Print no messages
TypeDebugFlagsObjects | Print messages about object bookkeeping
TypeDebugFlagsSignals | Print messages about signal emissions
TypeDebugFlagsInstanceCount | Keep a count of instances of each type
TypeDebugFlagsMask | Mask covering all debug flags
AnotherTypeDebugFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum TypeDebugFlags Source # |

Instance details

Defined in GI.GObject.Flags

Methods

succ :: TypeDebugFlags -> TypeDebugFlags Source #

pred :: TypeDebugFlags -> TypeDebugFlags Source #

toEnum :: Int -> TypeDebugFlags Source #

fromEnum :: TypeDebugFlags -> Int Source #

enumFrom :: TypeDebugFlags -> [TypeDebugFlags] Source #

enumFromThen :: TypeDebugFlags -> TypeDebugFlags -> [TypeDebugFlags] Source #

enumFromTo :: TypeDebugFlags -> TypeDebugFlags -> [TypeDebugFlags] Source #

enumFromThenTo :: TypeDebugFlags -> TypeDebugFlags -> TypeDebugFlags -> [TypeDebugFlags] Source #

Show TypeDebugFlags Source # |
Instance details Defined in GI.GObject.Flags Methods showsPrec :: Int -> TypeDebugFlags -> ShowS Source # show :: TypeDebugFlags -> String Source # showList :: [TypeDebugFlags] -> ShowS Source #
Eq TypeDebugFlags Source # |
Instance details Defined in GI.GObject.Flags Methods (==) :: TypeDebugFlags -> TypeDebugFlags -> Bool Source # (/=) :: TypeDebugFlags -> TypeDebugFlags -> Bool Source #
Ord TypeDebugFlags Source # |

Instance details

Defined in GI.GObject.Flags

Methods

compare :: TypeDebugFlags -> TypeDebugFlags -> Ordering Source #

(<) :: TypeDebugFlags -> TypeDebugFlags -> Bool Source #

(<=) :: TypeDebugFlags -> TypeDebugFlags -> Bool Source #

(>) :: TypeDebugFlags -> TypeDebugFlags -> Bool Source #

(>=) :: TypeDebugFlags -> TypeDebugFlags -> Bool Source #

max :: TypeDebugFlags -> TypeDebugFlags -> TypeDebugFlags Source #

min :: TypeDebugFlags -> TypeDebugFlags -> TypeDebugFlags Source #

IsGFlag TypeDebugFlags Source # |
Instance details Defined in GI.GObject.Flags

## TypeFlags

data TypeFlags Source #

Bit masks used to check or determine characteristics of a type.

Constructors

TypeFlagsNone | No special flags. Since: 2.74
TypeFlagsAbstract | Indicates an abstract type. No instances can be created for an abstract type
TypeFlagsValueAbstract | Indicates an abstract value type, i.e. a type that introduces a value table, but can't be used for `valueInit`
TypeFlagsFinal | Indicates a final type. A final type is a non-derivable leaf node in a deep derivable type hierarchy tree. Since: 2.70
TypeFlagsDeprecated | The type is deprecated and may be removed in a future version. A warning will be emitted if it is instantiated while running with `G_ENABLE_DIAGNOSTIC=1`. Since 2.76
AnotherTypeFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum TypeFlags Source # |

Instance details

Defined in GI.GObject.Flags

Methods

succ :: TypeFlags -> TypeFlags Source #

pred :: TypeFlags -> TypeFlags Source #

toEnum :: Int -> TypeFlags Source #

fromEnum :: TypeFlags -> Int Source #

enumFrom :: TypeFlags -> [TypeFlags] Source #

enumFromThen :: TypeFlags -> TypeFlags -> [TypeFlags] Source #

enumFromTo :: TypeFlags -> TypeFlags -> [TypeFlags] Source #

enumFromThenTo :: TypeFlags -> TypeFlags -> TypeFlags -> [TypeFlags] Source #

Show TypeFlags Source # |
Instance details Defined in GI.GObject.Flags Methods showsPrec :: Int -> TypeFlags -> ShowS Source # show :: TypeFlags -> String Source # showList :: [TypeFlags] -> ShowS Source #
Eq TypeFlags Source # |
Instance details Defined in GI.GObject.Flags Methods (==) :: TypeFlags -> TypeFlags -> Bool Source # (/=) :: TypeFlags -> TypeFlags -> Bool Source #
Ord TypeFlags Source # |

Instance details

Defined in GI.GObject.Flags

Methods

compare :: TypeFlags -> TypeFlags -> Ordering Source #

(<) :: TypeFlags -> TypeFlags -> Bool Source #

(<=) :: TypeFlags -> TypeFlags -> Bool Source #

(>) :: TypeFlags -> TypeFlags -> Bool Source #

(>=) :: TypeFlags -> TypeFlags -> Bool Source #

max :: TypeFlags -> TypeFlags -> TypeFlags Source #

min :: TypeFlags -> TypeFlags -> TypeFlags Source #

IsGFlag TypeFlags Source # |
Instance details Defined in GI.GObject.Flags

## TypeFundamentalFlags

data TypeFundamentalFlags Source #

Bit masks used to check or determine specific characteristics of a fundamental type.

Constructors

TypeFundamentalFlagsClassed | Indicates a classed type
TypeFundamentalFlagsInstantiatable | Indicates an instantiatable type (implies classed)
TypeFundamentalFlagsDerivable | Indicates a flat derivable type
TypeFundamentalFlagsDeepDerivable | Indicates a deep derivable type (implies derivable)
AnotherTypeFundamentalFlags Int | Catch-all for unknown values

#### Instances

Instances details

Enum TypeFundamentalFlags Source # |

Instance details

Defined in GI.GObject.Flags

Methods

succ :: TypeFundamentalFlags -> TypeFundamentalFlags Source #

pred :: TypeFundamentalFlags -> TypeFundamentalFlags Source #

toEnum :: Int -> TypeFundamentalFlags Source #

fromEnum :: TypeFundamentalFlags -> Int Source #

enumFrom :: TypeFundamentalFlags -> [TypeFundamentalFlags] Source #

enumFromThen :: TypeFundamentalFlags -> TypeFundamentalFlags -> [TypeFundamentalFlags] Source #

enumFromTo :: TypeFundamentalFlags -> TypeFundamentalFlags -> [TypeFundamentalFlags] Source #

enumFromThenTo :: TypeFundamentalFlags -> TypeFundamentalFlags -> TypeFundamentalFlags -> [TypeFundamentalFlags] Source #

Show TypeFundamentalFlags Source # |
Instance details Defined in GI.GObject.Flags Methods showsPrec :: Int -> TypeFundamentalFlags -> ShowS Source # show :: TypeFundamentalFlags -> String Source # showList :: [TypeFundamentalFlags] -> ShowS Source #
Eq TypeFundamentalFlags Source # |
Instance details Defined in GI.GObject.Flags Methods (==) :: TypeFundamentalFlags -> TypeFundamentalFlags -> Bool Source # (/=) :: TypeFundamentalFlags -> TypeFundamentalFlags -> Bool Source #
Ord TypeFundamentalFlags Source # |

Instance details

Defined in GI.GObject.Flags

Methods

compare :: TypeFundamentalFlags -> TypeFundamentalFlags -> Ordering Source #

(<) :: TypeFundamentalFlags -> TypeFundamentalFlags -> Bool Source #

(<=) :: TypeFundamentalFlags -> TypeFundamentalFlags -> Bool Source #

(>) :: TypeFundamentalFlags -> TypeFundamentalFlags -> Bool Source #

(>=) :: TypeFundamentalFlags -> TypeFundamentalFlags -> Bool Source #

max :: TypeFundamentalFlags -> TypeFundamentalFlags -> TypeFundamentalFlags Source #

min :: TypeFundamentalFlags -> TypeFundamentalFlags -> TypeFundamentalFlags Source #

IsGFlag TypeFundamentalFlags Source # |
Instance details Defined in GI.GObject.Flags